> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get environmental gateway shadows

> Get list of shadows of all environmental gateways of an org



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/climate/getEnvironmentalGatewayShadows
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/climate/getEnvironmentalGatewayShadows:
    post:
      tags:
        - Climate Webservice
      summary: Get environmental gateway shadows
      description: Get list of shadows of all environmental gateways of an org
      operationId: getEnvironmentalGatewayShadows
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Climate_GetEnvironmentalGatewayShadowsWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Climate_GetEnvironmentalGatewayShadowsWSResponse
          description: OK
components:
  schemas:
    Climate_GetEnvironmentalGatewayShadowsWSRequest:
      type: object
      description: Request to retrieve environmental gateway shadows.
    Climate_GetEnvironmentalGatewayShadowsWSResponse:
      type: object
      description: Response containing environmental gateway shadows.
      properties:
        environmentalGatewayShadows:
          type: array
          description: List of environmental gateway shadows
          items:
            $ref: '#/components/schemas/EnvironmentalGatewayShadowType'
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    EnvironmentalGatewayShadowType:
      type: object
      description: List of environmental gateway shadows
      properties:
        activeAlertTriggers:
          type: object
          additionalProperties:
            type: integer
            format: int64
            nullable: true
          nullable: true
        apMac:
          type: string
          nullable: true
        carbonMonoSense:
          $ref: '#/components/schemas/COSensorType'
        co2Sense:
          $ref: '#/components/schemas/Co2SensorType'
        connected:
          type: boolean
          nullable: true
        connectionTimestampMs:
          type: integer
          format: int64
          nullable: true
        connectionUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        defaultInterface:
          type: string
          nullable: true
        defaultInterfaceMac:
          type: string
          nullable: true
        derivedValues:
          $ref: '#/components/schemas/E50DerivedValuesType'
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        disconnectTimestampMs:
          type: integer
          format: int64
          nullable: true
        externalIPAddress:
          type: string
          nullable: true
        firmwareUpdateInProgress:
          type: boolean
          nullable: true
        firmwareUpdateTimeMs:
          type: integer
          format: int64
          nullable: true
        firmwareVersion:
          type: string
          nullable: true
        formaSense:
          $ref: '#/components/schemas/FormaSensorType'
        hardwareUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        internalWanAddress:
          type: string
          nullable: true
        jumpHostUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lanAddresses:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        leakProbe:
          $ref: '#/components/schemas/LeakProbeType'
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        pmSense:
          $ref: '#/components/schemas/PmSensorType'
        pressSense:
          $ref: '#/components/schemas/PressureSensorType'
        prevConnected:
          type: boolean
          nullable: true
        prevConnectedUpdateTimestampMs:
          type: integer
          format: int64
          nullable: true
        region:
          type: string
          nullable: true
        secondaryLanAddresses:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        ssid:
          type: string
          nullable: true
        state:
          type: object
          additionalProperties:
            type: object
            nullable: true
          nullable: true
        stateUpdatedTimestampMs:
          type: integer
          format: int64
          nullable: true
        tempProbe:
          $ref: '#/components/schemas/TempProbeType'
        timestampMs:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/DeviceTypeEnum'
        wanAddress:
          type: string
          nullable: true
        wifiSignalStrength:
          type: integer
          format: int32
          nullable: true
    COSensorType:
      type: object
      properties:
        adcRaw:
          type: integer
          format: int32
          nullable: true
        adcVoltage:
          type: number
          format: double
          nullable: true
        coConcentration:
          type: number
          format: double
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    Co2SensorType:
      type: object
      properties:
        co2Ppm:
          type: integer
          format: int32
          nullable: true
        relHumid:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    E50DerivedValuesType:
      type: object
      properties:
        airQualityIndex:
          type: integer
          format: int32
          nullable: true
        airQualityIndexPollutant:
          $ref: '#/components/schemas/AirQualityIndexPollutantEnum'
        calibrating:
          type: boolean
          nullable: true
        deviceOrientation:
          $ref: '#/components/schemas/DeviceOrientationEnum'
        falsePositiveConfidencePercent:
          type: number
          format: float
          nullable: true
        heatIndexDegF:
          type: number
          format: double
          nullable: true
        heatIndexRangeWarning:
          $ref: '#/components/schemas/HeatIndexRangeWarningEnum'
        indoorAirQuality:
          type: number
          format: float
          nullable: true
        malfunctioningModules:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        smokeConfidencePercent:
          type: number
          format: float
          nullable: true
        smokeThcConfidencePercent:
          type: number
          format: float
          nullable: true
        smokeTobaccoConfidencePercent:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
        tvoc:
          type: number
          format: float
          nullable: true
        vapeConfidencePercent:
          type: number
          format: float
          nullable: true
        vapeDetected:
          type: boolean
          nullable: true
        vapeThcConfidencePercent:
          type: number
          format: float
          nullable: true
    FormaSensorType:
      type: object
      properties:
        ch2oPpb:
          type: number
          format: float
          nullable: true
        relHumid:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    LeakProbeType:
      type: object
      properties:
        adcMv:
          type: number
          format: float
          nullable: true
        adcRaw:
          type: integer
          format: int64
          nullable: true
        leakDetected:
          type: boolean
          nullable: true
        moistDetected:
          type: boolean
          nullable: true
        present:
          type: boolean
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    PmSensorType:
      type: object
      properties:
        nc0p5:
          type: number
          format: float
          nullable: true
        nc10p0:
          type: number
          format: float
          nullable: true
        nc1p0:
          type: number
          format: float
          nullable: true
        nc2p5:
          type: number
          format: float
          nullable: true
        nc4p0:
          type: number
          format: float
          nullable: true
        noxIdx:
          type: number
          format: float
          nullable: true
        pm10p0:
          type: number
          format: float
          nullable: true
        pm1p0:
          type: number
          format: float
          nullable: true
        pm2p5:
          type: number
          format: float
          nullable: true
        pm4p0:
          type: number
          format: float
          nullable: true
        relHumid:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
        typPartSize:
          type: number
          format: float
          nullable: true
        vocIdx:
          type: number
          format: float
          nullable: true
    PressureSensorType:
      type: object
      properties:
        pressure:
          type: number
          format: float
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    TempProbeType:
      type: object
      properties:
        adcMv:
          type: number
          format: float
          nullable: true
        adcRaw:
          type: integer
          format: int64
          nullable: true
        present:
          type: boolean
          nullable: true
        tempC:
          type: number
          format: float
          nullable: true
        timestampSec:
          type: integer
          format: int64
          nullable: true
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
    AirQualityIndexPollutantEnum:
      type: string
      description: Primary pollutant affecting air quality index
      enum:
        - OZONE
        - PM2P5
        - PM10P0
        - CO
        - NO2
        - SO2
        - UNKNOWN
    DeviceOrientationEnum:
      type: string
      enum:
        - CEILING
        - FLOOR
        - WALL
        - WALL_CROOKED
        - INDETERMINATE
    HeatIndexRangeWarningEnum:
      type: string
      description: Heat index range warning status
      enum:
        - HEAT_INDEX_OK
        - HEAT_INDEX_WARNING
        - HEAT_INDEX_UNSUPPORTED
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````